### Hierarchy

- RpcToken
  - RpcPermissionsFields

## Index

### Constructors

- constructor

### Properties

- accessToken
- data
- recipient

### Methods

- getAccessTokenSig
- getClearAccessToken

## Constructors

### constructor

- new RpcPermissionsFields(accessToken: string, recipient: string, data: Map<string, AccessRight>): RpcPermissionsFields

- Overrides RpcToken.constructor

  - Defined in utils/keypair/rpc/RpcPermissionsFields.ts:7

  #### Parameters

  - ##### accessToken: string

  - ##### recipient: string

  - ##### data: Map<string, AccessRight>

  #### Returns RpcPermissionsFields

## Properties

### accessToken

accessToken: string

Inherited from RpcToken.accessToken

- Defined in utils/keypair/rpc/RpcToken.ts:3

### data

data: Map<string, AccessRight>

- Defined in utils/keypair/rpc/RpcPermissionsFields.ts:7

### recipient

recipient: string

- Defined in utils/keypair/rpc/RpcPermissionsFields.ts:6

## Methods

### getAccessTokenSig

- getAccessTokenSig(): string

- Inherited from RpcToken.getAccessTokenSig

  - Defined in utils/keypair/rpc/RpcToken.ts:9

  #### Returns string

### getClearAccessToken

- getClearAccessToken(): string

- Inherited from RpcToken.getClearAccessToken

  - Defined in utils/keypair/rpc/RpcToken.ts:13

  #### Returns string

Generated using TypeDoc